﻿var QBankResponsiveLight = QBankResponsiveLight ||
{
    numberOfSizes: 5,
    currentWidth: 0,
    sizePattern: '?sizes=',
    qbankMediaClassPattern: 'qbankmedia',
    formatPattern: '/format',
    bodyExist: false,

    imageUpdate: function () {
        var screenWidth = window.outerWidth;

        if (screenWidth != this.currentWidth || !this.bodyExist) {
            this.bodyExist = document.getElementsByTagName('body').length > 0;
            if (this.bodyExist) {
                var imageTags = document.getElementsByTagName('img');
                this.currentWidth = screenWidth;
                for (var index = 0; index < imageTags.length; index++) {
                    var imageTag = imageTags[index];
                    var srcValue = imageTag.attributes['src'] ? imageTag.attributes['src'].value : '';
                    if (srcValue) {
                        var classPos = imageTag.className ? imageTag.className.indexOf(this.qbankMediaClassPattern) : -1;
                        var pos = srcValue.indexOf(this.sizePattern);
                        if (pos > -1 || classPos > -1) {
                            if (pos == -1) {
                                pos = srcValue.length;
                            }
                            var sizePatternLen = this.sizePattern.length;
                            var formatPatternLen = this.formatPattern.length;
                            var sizesStr = srcValue.substr(pos + sizePatternLen);

                            if (qbankSizeSettings) {
                                sizesStr = qbankSizeSettings;
                            }
                            var sizes = sizesStr.split('_');

                            var format = 1;
                            for (var i = 0; i < this.numberOfSizes; i++) {
                                if (sizes.length > i && screenWidth > parseInt(sizes[i])) {
                                    format = i + 2;
                                }
                            }


                            var hasFormat = srcValue.length > sizePatternLen && srcValue.substr(pos - formatPatternLen - 1, formatPatternLen) == this.formatPattern;
                            var newsrcValue = srcValue.substr(0, pos - (hasFormat ? sizePatternLen + 1 : 0)) + this.formatPattern + format + this.sizePattern + sizesStr;
                            imageTag.attributes['src'].value = newsrcValue;
                        }
                    }
                }
            }
        }

        setTimeout(function () { QBankResponsiveLight.imageUpdate() }, 300);
    }
}

QBankResponsiveLight.imageUpdate();
